<?php

namespace App\Models\Product;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ProductCategory extends Model {
	use SoftDeletes;
	protected $table = 'product_category';
	protected $fillable = ['name','name_en','memo','memo_en','file1','file2','created_at', 'sort'];
	protected $dates = ['deleted_at'];
	public function ProductItem() {
		return $this->hasOne('App\Models\Product\ProductItem');
	}
	public function ProductVariety() {
		return $this->hasOne('App\Models\Product\ProductVariety');
	}
	public function Warehouse() {
		return $this->hasOne('App\Models\Warehouse\Warehouse');
	}

}
